> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment details

> Create payment details for a user



## OpenAPI

````yaml /api-reference/openapi.v2.json post /v2/payer/{clientUserId}/payment-details
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/payer/{clientUserId}/payment-details:
    post:
      tags:
        - Payer
        - V2/Payer
      summary: Create payment details
      description: Create payment details for a user
      operationId: PayerV2Controller_createPaymentDetails_v2
      parameters:
        - name: clientUserId
          required: true
          in: path
          description: The client user ID
          schema:
            example: user-123
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                bankName:
                  type: string
                  minLength: 1
                  description: Name of the bank
                accountName:
                  type: string
                  minLength: 1
                  description: Name of the account holder
                accountNumber:
                  type: string
                  description: Bank account number
                routingNumber:
                  type: string
                  description: Bank routing number (US)
                beneficiaryType:
                  type: string
                  enum:
                    - individual
                    - business
                  description: Type of beneficiary
                currency:
                  type: string
                  minLength: 3
                  maxLength: 3
                  description: Three-letter currency code (ISO 4217)
                addressLine1:
                  type: string
                  minLength: 1
                  description: Primary address line
                addressLine2:
                  type: string
                  description: Secondary address line
                city:
                  type: string
                  minLength: 1
                  description: City name
                state:
                  type: string
                  description: State or province code
                country:
                  type: string
                  minLength: 2
                  maxLength: 2
                  description: Two-letter country code (ISO 3166-1 alpha-2)
                dateOfBirth:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: Date of birth in YYYY-MM-DD format
                postalCode:
                  type: string
                  minLength: 1
                  description: Postal or ZIP code
                rails:
                  type: string
                  enum:
                    - local
                    - swift
                    - wire
                  default: local
                  description: Payment rail type
                sortCode:
                  type: string
                  description: UK bank sort code
                iban:
                  type: string
                  description: International Bank Account Number
                swiftBic:
                  type: string
                  description: SWIFT/BIC code
                documentNumber:
                  type: string
                  description: Government-issued ID number
                documentType:
                  type: string
                  description: >-
                    Type of government-issued ID (e.g., passport, driver's
                    license)
                accountType:
                  type: string
                  enum:
                    - checking
                    - savings
                  description: Type of bank account
                ribNumber:
                  type: string
                  description: French RIB number
                bsbNumber:
                  type: string
                  description: Australian BSB number
                ncc:
                  type: string
                  description: New Zealand NCC number
                branchCode:
                  type: string
                  description: Bank branch code
                bankCode:
                  type: string
                  description: Bank code
                ifsc:
                  type: string
                  description: Indian Financial System Code
              required:
                - bankName
                - accountName
                - beneficiaryType
                - currency
                - addressLine1
                - city
                - country
                - dateOfBirth
                - postalCode
            examples:
              localUSBusiness:
                summary: US business account with local rails
                value:
                  bankName: Chase
                  accountName: Acme Corp Business Account
                  accountNumber: '253009233489'
                  routingNumber: '026013356'
                  beneficiaryType: business
                  currency: usd
                  addressLine1: 24 Theatre St.
                  city: Paramount
                  state: CA
                  postalCode: '90723'
                  country: US
                  dateOfBirth: '1985-12-12'
                  rails: local
                  accountType: checking
              swiftInternational:
                summary: International account with SWIFT rails
                value:
                  bankName: Deutsche Bank
                  accountName: John Doe
                  beneficiaryType: individual
                  currency: eur
                  addressLine1: Unter den Linden 1
                  city: Berlin
                  postalCode: '10117'
                  country: DE
                  dateOfBirth: '1990-03-22'
                  rails: swift
                  iban: DE89370400440532013000
                  swiftBic: DEUTDEFF
              ukAccount:
                summary: UK account with sort code
                value:
                  bankName: Barclays
                  accountName: Jane Smith
                  accountNumber: '12345678'
                  beneficiaryType: individual
                  currency: gbp
                  addressLine1: 123 High Street
                  city: London
                  postalCode: SW1A 1AA
                  country: GB
                  dateOfBirth: '1988-07-10'
                  rails: local
                  sortCode: '200000'
      responses:
        '201':
          description: Payment details created successfully
          content:
            application/json:
              schema:
                properties:
                  payment_detail:
                    type: object
                    properties:
                      id:
                        type: string
                        example: pd_123456
                      clientUserId:
                        example: user-123
                        type: string
                      bankName:
                        type: string
                        example: Chase
                      accountName:
                        type: string
                        example: Gordon's Chase Business Account
                      currency:
                        type: string
                        example: usd
                      beneficiaryType:
                        type: string
                        enum:
                          - individual
                          - business
                        example: business
        '400':
          description: Invalid request data
          content:
            application/json:
              schema:
                properties:
                  statusCode:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: Invalid bank account details
                  error:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: User not found
          content:
            application/json:
              schema:
                properties:
                  statusCode:
                    type: number
                    example: 404
                  message:
                    type: string
                    example: User with ID user-123 not found
                  error:
                    type: string
                    example: Not Found
        '429':
          description: Too Many Requests

````